Subject: bug#54889: 29.0.50; shift keys can't function when using setxkbmap with custom_symbol in gnome

From: [email-masked]
Date: Fri, 15 Apr 2022 03:37:40 +0000

I serched my map and found no config part  had Hyper for virtualModifier ,
but i found Hyper_R config in symbols  <RTSH>  in group 2,
after changed to Shift_R,
i can inser capital letter in emacs 29.
old:   key <RTSH> {  [         Shift_R, Shift_R, U2E9D] ,[ Hyper_R ] };
new:   key <RTSH> {  [         Shift_R, Shift_R, U2E9D] ,[ Shift_R ] };

I don't know why cause that,
since that is not belong parts of emacs,
I feel so sorry any where for this report let you be troubled.

Anyway, thanks you for your help.

Po Lu <[email-masked]> 於 2022年4月15日 週五 上午12:49寫道：

> [email-masked] writes:
>
> > i also tried to comment out that you say this :
> >          else if (dpyinfo->xkb_desc->names->vmods[i] ==
> dpyinfo->Xatom_Hyper)
> >             dpyinfo->hyper_mod_mask |= vmodmask;
> >
> > after rebuild,
> > the capital letter can normally insert with shift now.
> > hope it useful.
>
> So something in your virtual modifier map is binding Shift to Hyper.
> That's a bug in your setup, not in Emacs.
>
> Thanks.
>